#
# please note the following:
#
# 1. how to do sockets on solaris
# 2. how to do sockets on the rest of the planet.
#	(well not the microsoft part)
#
# for SunOS, linux, BSD, comment SOLARISLIBS out
# for Solaris comment SOLARISLIBS in
#
# local PSU solaris systems:
#	1. SOLARISLIBS must be on
#	2. use gcc, not cc
#	3. ignore warnings ... 
#
# If you do this on linux, use cc/no funky solaris libs
#
#SOLARISLIBS= -lsocket -lnsl 
#CC=cc
CC=gcc

udp-server: udp-server.c
	$(CC) -g -o udp-server udp-server.c $(SOLARISLIBS)

clean:
	rm -f udp-server 
	rm -f udp-server-old

old: udp-server-old.c
	$(CC) -g -o udp-server-old udp-server-old.c $(SOLARISLIBS)
